ドキュメント

​
​

Development

User Acquisition

Monetization

産業

Analytics

Unity SDK

Client API

Analytics

このページは選択した言語では使用できません。
LiveOps
​
​
Analytics
  • Overview
  • Get started
  • Pricing
  • Concepts
  • Tutorials
    • Create a custom event
    • Record an event
    • Record events with a custom user ID
    • Record transaction events
    • Record ad impression events
    • Copy custom events to another environment
    • Create a custom dashboard
    • Edit a custom dashboard
    • Create a funnel
    • Track user acquisition
    • Create a custom audience
    • Run a query with SQL Data Explorer
    • Query parameter values with SQL Data Explorer
    • Optimize SQL Data Explorer queries
    • Set up Data Access
    • Record an event with the REST API
    • Generate a unique user ID with the REST API
    • Request data deletion with the REST API
    • Debug event reporting
    • SDK 5.0.0 migration
    • Migrate to Unity 6.2 with Analytics SDK 6.1.0
    • Request game data deletion
  • Reference
  • Privacy and consent
  • FAQ
  1. Unity Analytics

Request data deletion through the REST API

Manually request the deletion of player data through the REST API.
読み終わるまでの所要時間 1 分
最終更新 9ヶ月前

While the Unity Analytics SDK provides a mechanism for a player to request data deletion, if you are using the REST API instead you must implement this function yourself.
The way to request data deletion for a player is through recording a
ddnaForgetMe
event. Analytics deletes the player's data within seven days after receiving a
ddnaForgetMe
event for them.
For information on how to record events using the REST API, see the record an event with the REST API tutorial. The
ddnaForgetMe
event should be structured like this:
{ "eventName": "ddnaForgetMe", "eventTimestamp": "2020-01-01 12:00:00", "eventUUID": "foo", "eventVersion": 1, "sessionID": "foo", "userID": "foo", "eventParams": { "clientVersion": "foo", "sdkMethod": "foo" }}
注
For more information about managing data privacy, see the privacy overview page.

Copyright © 2026 Unity Technologies
法規事項プライバシーポリシークッキーDocumentation Terms of Use私の個人情報を販売または共有しないプライバシーに関する選択 (クッキー設定)

"Unity" の名称、Unity のロゴ、およびその他の Unity の商標は、米国およびその他の国における Unity Technologies またはその関係会社の商標または登録商標です (詳しくはこちら)。その他の名称またはブランドは該当する所有者の商標です。

一部のページは利便性向上のため機械翻訳を使用しており、内容に不正確な表現が含まれる場合があります。内容に齟齬または不一致が生じた場合は、英語版を正本とします。


    このページの問題を報告する